[general]
	#The range from an active beacon where no champions will spawn (0 to disable)
	# Default: 64
	# Range: 0 ~ 1000
	beaconProtectionRange = 128
	#Set to true to enable champions from normal mob spawners
	championSpawners = false
	#Set to true to enable champions from trial spawners
	championTrialSpawners = false
	#The minimum tier of champions that will have death messages sent out upon defeat (0 to disable)
	# Default: 0
	# Range: > 0
	deathMessageTier = 4
	#A list of dimension names that are blacklisted/whitelisted for champions
	dimensionList = []
	#Set whether the dimension list is a blacklist or whitelist
	#Allowed Values: BLACKLIST, WHITELIST
	dimensionPermission = "BLACKLIST"
	#A list of entities that are blacklisted/whitelisted for champions
	entitiesList = ["minecraft:creeper", "minecraft:elder_guardian", "minecraft:ender_dragon", "minecraft:endermite", "minecraft:shulker", "minecraft:silverfish", "minecraft:slime", "minecraft:warden", "minecraft:wither", "minecraft:magma_cube", "minecraft:piglin_brute"]
	#Set whether the entities list is a blacklist or whitelist
	#Allowed Values: BLACKLIST, WHITELIST
	entitiesPermission = "BLACKLIST"
	#Set to true to show HUD display for champions, including health, affixes, and tier
	showHud = true
	#Set entity id (for example, ['minecraft:end_dragon', 'minecraft:creeper']) to hidden HUD display for champions, including health, affixes, and tier
	bossBarBlackList = []
	#Set to true to have champions generate a colored particle effect indicating their rank
	showParticles = true
	#Set to true to show champion tier and affixes in The One Probe overlay
	enableTOPIntegration = true
	#Enable debug for game testing
	enableDebug = false
	#Set to true to enable champions entity allow list configuration by datapack
	allowChampionsList = true
	#The permission of champions entity allow list datapack.
	#Allowed Values: BLACKLIST, WHITELIST
	allowChampionsPermission = "WHITELIST"
